Apache JMeter

## org.apache.jmeter.protocol.jdbc.sampler
Class JDBCSampler

    java.lang.Object
      org.apache.jmeter.testelement.AbstractTestElement
          org.apache.jmeter.protocol.jdbc.AbstractJDBCTestElement
              org.apache.jmeter.protocol.jdbc.sampler.JDBCSampler

All Implemented Interfaces:
  Serializable, Cloneable, ConfigMergabilityIndicator, Searchable, Sampler, TestBean, TestElement, TestListener

    public class JDBCSampler

extends AbstractJDBCTestElement
implements Sampler, TestBean, ConfigMergabilityIndicator

A sampler which understands JDBC database requests.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.jmeter.protocol.jdbc.AbstractJDBCTestElement
`ENCODING`

Fields inherited from interface org.apache.jmeter.testelement.TestElement
`COMMENTS, ENABLED, GUI_CLASS, NAME, TEST_CLASS`

Constructor Summary
`JDBCSampler()` Creates a JDBCSampler.

Method Summary
`boolean` `applies(ConfigTestElement configElement)` Does configElement apply to Sampler
`SampleResult` `sample(Entry e)` Obtains statistics about the given Entry, and packages the information into a SampleResult.

Methods inherited from class org.apache.jmeter.protocol.jdbc.AbstractJDBCTestElement
`close, close, close, execute, getDataSource, getQuery, getQueryArguments, getQueryArgumentsTypes, getQueryType, getResultVariable, getSearchableTokens, getVariableNames, setDataSource, setQuery, setQueryArguments, setQueryArgumentsTypes, setQueryType, setResultVariable, setVariableNames, testEnded, testEnded, testIterationStart, testStarted, testStarted, toString`

Methods inherited from class org.apache.jmeter.testelement.AbstractTestElement

`addPropertiesValues, addProperty, addProperty, addTestElement, canRemove, clear, clearTemporary, clearTestElementChildren, clone, emptyTemporary, equals, getComment, getName, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getThreadContext, getThreadName, hashCode, isEnabled, isRunningVersion, isTemporary, logProperties, mergeIn, propertyIterator, recoverRunningVersion, removeProperty, setComment, setName, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse, traverseCollection, traverseMap, traverseProperty`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.jmeter.testelement.TestElement

`addTestElement, canRemove, clear, clearTestElementChildren, clone, getComment, getName, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getThreadContext, getThreadName, isEnabled, isRunningVersion, isTemporary, propertyIterator, recoverRunningVersion, removeProperty, setComment, setName, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse`

Constructor Detail

### JDBCSampler

    public JDBCSampler()

  Creates a JDBCSampler.

Method Detail

### sample

    public SampleResult sample(Entry e)

  Description copied from interface: `Sampler`
  Obtains statistics about the given Entry, and packages the information into a SampleResult.

  Specified by:
    `sample` in interface `Sampler`

### applies

    public boolean applies(ConfigTestElement configElement)

  Description copied from interface: `ConfigMergabilityIndicator`
  Does configElement apply to Sampler

  Specified by:
    `applies` in interface `ConfigMergabilityIndicator`
  Parameters:
    `configElement` - `ConfigTestElement`
  Returns:
    boolean
  See Also:
    `AbstractSampler.applies(org.apache.jmeter.config.ConfigTestElement)`

Apache JMeter

Copyright © 1998-2012 Apache Software Foundation. All Rights Reserved.